com.pixelmed.database

## Class DicomDictionaryForPatientStudySeriesConcatenationInstanceModel

- java.lang.Object
- - com.pixelmed.dicom.DicomDictionaryBase
  - - com.pixelmed.dicom.DicomDictionary
    - - com.pixelmed.database.DicomDictionaryForPatientStudySeriesConcatenationInstanceModel

    public class DicomDictionaryForPatientStudySeriesConcatenationInstanceModel
    extends DicomDictionary

The `DicomDictionaryForPatientStudySeriesConcatenationInstanceModel` class supports a simple DICOM Patient/Study/Series/Concatenation/Instance model.

Attributes of the DICOM Procedure Step entity are included at the Series level.

The subset of the DICOM standard dictionary elements that is included in this dictionary (and hence in the database underlying any `DatabaseInformationModel` that uses this dictionary) consists of the following:

- SpecificCharacterSet
- ImageType
- SOPClassUID
- SOPInstanceUID
- StudyDate
- SeriesDate
- ContentDate
- AcquisitionDateTime
- StudyTime
- SeriesTime
- AccessionNumber
- Modality
- ConversionType
- PresentationIntentType
- Manufacturer
- InstitutionName
- ReferringPhysicianName
- StudyDescription
- SeriesDescription
- InstitutionalDepartmentName
- PhysiciansOfRecord
- PerformingPhysicianName
- NameOfPhysiciansReadingStudy
- OperatorsName
- AdmittingDiagnosesDescription
- AdditionalPatientHistory
- DerivationDescription
- PixelPresentation
- VolumetricProperties
- VolumeBasedCalculationTechnique
- ComplexImageComponent
- AcquisitionContrast
- PatientName
- PatientID
- PatientBirthDate
- PatientBirthTime
- PatientSex
- PatientAge
- PatientSize
- PatientWeight
- PatientComments
- EthnicGroup
- Occupation
- OtherPatientIDs
- OtherPatientNames
- ContrastBolusAgent
- BodyPartExamined
- ProtocolName
- PulseSequenceName
- StudyInstanceUID
- SeriesInstanceUID
- StudyID
- OtherStudyNumbers
- InterpretationAuthor
- PerformedProcedureStepID
- PerformedProcedureStepStartDate
- PerformedProcedureStepStartTime
- SeriesNumber
- AcquisitionNumber
- InstanceNumber
- ImagePositionPatient
- ImageOrientationPatient
- Laterality
- ImageLaterality
- ImageComments
- ConcatenationUID
- InConcatenationNumber
- InConcatenationTotalNumber
- NumberOfFrames
- QualityControlImage
- BurnedInAnnotation
- LossyImageCompression
- LossyImageCompressionRatio
- LossyImageCompressionMethod
- PhotometricInterpretation
- BitsStored
- BitsAllocated
- PixelRepresentation
- WindowCenter
- WindowWidth
- Rows
- Columns

See Also:
  `PatientStudySeriesConcatenationInstanceModel`, `InformationEntity`

### Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDictionaryBase

`fullNameByTag, informationEntityByTag, nameByTag, tagByName, tagList, valueRepresentationsByTag`

### Constructor Summary

Constructors
Constructor and Description
`DicomDictionaryForPatientStudySeriesConcatenationInstanceModel()`

### Method Summary

Methods
`protected void` `createTagList()` Concrete sub-classes implement this method to create a list of all tags in the dictionary.

### Methods inherited from class com.pixelmed.dicom.DicomDictionary

`createFullNameByTag, createInformationEntityByTag, createNameByTag, createTagByName, createValueRepresentationsByTag`

### Methods inherited from class com.pixelmed.dicom.DicomDictionaryBase

`getFullNameFromTag, getInformationEntityFromTag, getNameFromTag, getTagFromName, getTagIterator, getValueRepresentationFromTag, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomDictionaryForPatientStudySeriesConcatenationInstanceModel

    public DicomDictionaryForPatientStudySeriesConcatenationInstanceModel()

### Method Detail

#### createTagList

    protected void createTagList()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a list of all tags in the dictionary.

Overrides:
  `createTagList` in class `DicomDictionary`